## org.biojava.bio
Class Annotation.EmptyAnnotation

    java.lang.Object
      |
      +--org.biojava.bio.Annotation.EmptyAnnotation

Enclosing class:
  Annotation

public static class Annotation.EmptyAnnotation
extends java.lang.Object
implements Annotation, java.io.Serializable

The empty and immutable implementation.

See Also:
  Serialized Form

Inner classes inherited from class org.biojava.bio.Annotation
`Annotation.EmptyAnnotation`

Fields inherited from interface org.biojava.bio.Annotation
`EMPTY_ANNOTATION`

Constructor Summary
`Annotation.EmptyAnnotation()`

Method Summary
`java.util.Map` `asMap()` Retern a map that contains the same key/values as this Annotation.
`java.lang.Object` `getProperty(java.lang.Object key)` Retrieve the value of a property by key.
`java.util.Set` `keys()` Get a set of key objects.
`void` `setProperty(java.lang.Object key, java.lang.Object value)` Set the value of a property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Annotation.EmptyAnnotation

    public Annotation.EmptyAnnotation()

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.Object key)
                                 throws java.util.NoSuchElementException

  Description copied from interface: Annotation
  Retrieve the value of a property by key.

  Unlike the Map collections, it will complain if the key does not exist. It will only return null if the key is defined and has value null.

  Specified by:
    getProperty in interface Annotation
  Tags copied from interface: Annotation
  Parameters:
    `key` - the key of the property to retrieve
  Returns:
    the object associated with that key
  Throws:
    java.util.NoSuchElementException - if there is no property with the key

### setProperty

    public void setProperty(java.lang.Object key,
                            java.lang.Object value)
                     throws java.lang.UnsupportedOperationException

  Description copied from interface: Annotation
  Set the value of a property.

  This method throws an exception if either properties can not be added to this object, or that this particular property is immutable or illegal within the implementation.

  Specified by:
    setProperty in interface Annotation
  Tags copied from interface: Annotation
  Parameters:
    `key` - the key object
    `value` - the new value for this key
  Throws:
    java.lang.IllegalArgumentException - if the property `key` cannot be changed.
    java.lang.UnsupportedOperationException - if this annotation object is immutable.

### keys

    public java.util.Set keys()

  Description copied from interface: Annotation
  Get a set of key objects.
  Specified by:
    keys in interface Annotation
  Tags copied from interface: Annotation
  Returns:
    a Set of key objects

### asMap

    public java.util.Map asMap()

  Description copied from interface: Annotation
  Retern a map that contains the same key/values as this Annotation.

  If the annotation changes, the map may not reflect this. The Map may be unmodifiable.

  Specified by:
    asMap in interface Annotation
  Tags copied from interface: Annotation
  Returns:
    a Map